
/*************************************************************************************************************
  Javascript Methoden für das  Stornieren von Terminen
/*************************************************************************************************************

/*************************************************************************************************************
   JQuery Event Handling, das beim Laden des Dokuments bereitgestellt wird  //!!!!!Document.Ready!!!!
***************************************************************************************************************/
$(document).ready(function() {


   $("#kdetails_termineLinkStorno").click(function(){
    //Hier kein preventDefault() verwenden, da dem Link nachgegangen werden soll
    var $this = $(this);
    if (KuferTools.KursDetails.HandleTermineStorno($this) === true) {
      //Tab des aktuellen Reiters anhängen
      KuferTools.KursDetails.AddReiterTab2Url($this);
      return true;
    }
    return false;
  });
  
});  //end document ready

registerNamespace('KuferTools.KursDetails');
// Liefert die URL mit den selektierten Terminen für die Stornierung
KuferTools.KursDetails.HandleTermineStorno = function($pAnkerElem) {
  var href = $pAnkerElem.prop('href');
  var $selectedIDs4Url = KuferTools.KursDetails.GetSelectedIDs4Url();
  if ($selectedIDs4Url == '') {
    //event.preventDefault();
    showMessage('Es wurden keine Termine für eine Termin-Absage ausgewählt.','Hinweis',{"zurück zur Übersicht": function() {$(this).dialog("close");}});
    return false;
  }
  $pAnkerElem.prop('href', href + KuferTools.KursDetails.GetSelectedIDs4Url());
  //alert("href ankerelem danach: " + $pAnkerElem.prop('href'));
  // Für die weitere Verarbeitung am Webserver: mit true wird Link aufgerufen
  return true;
};

// Liefert einen String von selektierten Ids zum Anhängen an die Url
KuferTools.KursDetails.GetSelectedIDs4Url = function() {
  var $selektierteIds = $('input.markable:checked','#tab_ktermine');
  var selectedIdAry = new Array();
   // Werte (hier: TerminIds) aller selektierten Checkboxen in ein result Array holen
  if ($selektierteIds.length > 0) {
    $selektierteIds.each(
    function (index, element) {
      $element = $(element);
      selectedIdAry.push($element.val());});
  }
  //String zum Anhängen an die Url: &idsToMark=id1:id2:...:idn
  var result = ''; 
  if (selectedIdAry.length > 0) {
     result += '&idsToMark=' + selectedIdAry.join(':');
  }
  // alert(' result: ' + result);
  return result;
}; 

